/***************************************************************************/
/* psexp.h								   */
/*									   */
/*  Routines for parsing S-expressions.					   */
/***************************************************************************/

#if !defined( __PSEXP_H__ )
#define __PSEXP_H__

#include "free.h"
#include "strread.h"

/***************************************************************************/
/* p_lth								   */
/*									   */
/* Read the length field from the current string reader.		   */
/***************************************************************************/

int p_lth( ULP pRes, pSreader s ) ;

/***************************************************************************/
/* p_bytes								   */
/*									   */
/* Parse a byte string from the current string reader and pack it into	   */
/* a new byte string block.						   */
/***************************************************************************/

int p_bytes( pBytes *ppb, pSreader s ) ;

/***************************************************************************/
/* p_sexp								   */
/*									   */
/* Parse an S-expression from a string block.				   */
/* An S-expression is enclosed in "()" and starts with a byte string.	   */
/* Look up the byte string it starts with.				   */
/***************************************************************************/

int p_sexp( pSexp *pps, pSreader s ) ;

#endif /* __PSEXP_H__ */
